import * as MarkdownEditorTypes from './components/editor/markdown/types';
export declare const MarkdownEditor: import("vue").DefineComponent<{
    modelValue: {
        type: import("vue").PropType<string>;
        default: string;
    };
    dialog: {
        type: import("vue").PropType<{
            fullScreen: boolean;
            fixed: boolean;
            zIndex: import("csstype").ZIndexProperty | undefined;
        }>;
        default: () => void;
    };
    theme: {
        type: import("vue").PropType<{
            def: MarkdownEditorTypes.ThemeType;
            observer: string;
            observerAttr: string;
        }>;
        default: () => void;
    };
    editor: {
        type: import("vue").PropType<{
            lineWrapping: boolean;
            lineNumbers: boolean;
            allowMultipleSelections: boolean;
        }>;
        default: () => void;
    };
    beforeInitToolbars: {
        type: import("vue").PropType<(toolbars: import("./components/editor/markdown/toolbar").ToolbarsType) => import("./components/editor/markdown/toolbar").ToolbarsType>;
        default: null;
    };
    upload: {
        type: import("vue").PropType<{
            uploadUrl: string;
            headers: HeadersInit;
            uploadSuccess: (result: any) => string;
            uploadFail: (error: any) => void;
        }>;
        default: () => {};
    };
}, {
    dialogConfig: {
        fullScreen: boolean;
        fixed: boolean;
        zIndex: number;
    } & {
        fullScreen: boolean;
        fixed: boolean;
        zIndex: import("csstype").ZIndexProperty | undefined;
    };
    prefix: string;
    id: string;
    contentId: string;
    tableVisible: import("vue").Ref<boolean>;
    tableDone: (cols: number, rows: number) => void;
    mediaVisible: import("vue").Ref<boolean>;
    mediaDone: (url: string, desc: string) => void;
    preview: import("vue").ComputedRef<string>;
    previewDark: import("vue").Ref<boolean>;
    previewVisible: import("vue").Ref<boolean>;
    helperVisible: import("vue").Ref<boolean>;
    hotKeys: import("vue").Ref<any>;
    isFullscreen: import("vue").Ref<boolean>;
    editRootElement: import("vue").Ref<any>;
    toolbars: import("vue").ShallowRef<import("./components/editor/markdown/toolbar").ToolbarsType | undefined>;
    toolbarItemClickHandler: (item: import("./components/editor/markdown/toolbar").ToolbarItemType) => void;
    toolbarFolds: {
        top: boolean;
        center: boolean;
        bottom: boolean;
    };
    toolbarFoldNumber: import("vue").Ref<number>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "blur" | "change" | "focus" | "ready" | "selectionChange" | "themeChange" | "toolbarItemAction")[], "update:modelValue" | "blur" | "change" | "focus" | "ready" | "selectionChange" | "themeChange" | "toolbarItemAction", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: import("vue").PropType<string>;
        default: string;
    };
    dialog: {
        type: import("vue").PropType<{
            fullScreen: boolean;
            fixed: boolean;
            zIndex: import("csstype").ZIndexProperty | undefined;
        }>;
        default: () => void;
    };
    theme: {
        type: import("vue").PropType<{
            def: MarkdownEditorTypes.ThemeType;
            observer: string;
            observerAttr: string;
        }>;
        default: () => void;
    };
    editor: {
        type: import("vue").PropType<{
            lineWrapping: boolean;
            lineNumbers: boolean;
            allowMultipleSelections: boolean;
        }>;
        default: () => void;
    };
    beforeInitToolbars: {
        type: import("vue").PropType<(toolbars: import("./components/editor/markdown/toolbar").ToolbarsType) => import("./components/editor/markdown/toolbar").ToolbarsType>;
        default: null;
    };
    upload: {
        type: import("vue").PropType<{
            uploadUrl: string;
            headers: HeadersInit;
            uploadSuccess: (result: any) => string;
            uploadFail: (error: any) => void;
        }>;
        default: () => {};
    };
}>> & {
    onFocus?: ((...args: any[]) => any) | undefined;
    onBlur?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onReady?: ((...args: any[]) => any) | undefined;
    onSelectionChange?: ((...args: any[]) => any) | undefined;
    onThemeChange?: ((...args: any[]) => any) | undefined;
    onToolbarItemAction?: ((...args: any[]) => any) | undefined;
}, {
    modelValue: string;
    dialog: {
        fullScreen: boolean;
        fixed: boolean;
        zIndex: import("csstype").ZIndexProperty | undefined;
    };
    theme: {
        def: MarkdownEditorTypes.ThemeType;
        observer: string;
        observerAttr: string;
    };
    beforeInitToolbars: (toolbars: import("./components/editor/markdown/toolbar").ToolbarsType) => import("./components/editor/markdown/toolbar").ToolbarsType;
    upload: {
        uploadUrl: string;
        headers: HeadersInit;
        uploadSuccess: (result: any) => string;
        uploadFail: (error: any) => void;
    };
    editor: {
        lineWrapping: boolean;
        lineNumbers: boolean;
        allowMultipleSelections: boolean;
    };
}>;
export declare type MarkdownEditorProps = MarkdownEditorTypes.TotonooMarkdownEditorProps;
export declare type ThemeType = MarkdownEditorTypes.ThemeType;
export declare type EventType = MarkdownEditorTypes.EventType;
export declare type BaseOptionsType = MarkdownEditorTypes.BaseOptionsType;
export declare type ToolbarsType = MarkdownEditorTypes.ToolbarsType;
export declare type ToolbarItemTypes = MarkdownEditorTypes.ToolbarItemTypes;
export declare type ToolbarItemType = MarkdownEditorTypes.ToolbarItemType;
